﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
<u>#1: Minimum 8 characters atleast 1 Alphabet and 1 Number</u><br />
<br />
Example: pass1234 OR PaSs1234 OR PASS1234
<br />
<asp:TextBox ID="txtPolicy1" runat="server"></asp:TextBox><br />
<asp:RegularExpressionValidator ID="Regex1" runat="server" ControlToValidate="txtPolicy1"
    ValidationExpression="^(?=.*[A-Za-z])(?=.*\d)[A-Za-z\d]{8,}$" ErrorMessage="Password must contain: Minimum 8 characters atleast 1 Alphabet and 1 Number"
    ForeColor="Red" />
    <br />
    <u>#2: Minimum 8 characters atleast 1 Alphabet, 1 Number and 1 Special Character</u><br />
    <br />
    Example: pass@123 OR PaSS#123 OR PASS@123
    <br />
    <asp:TextBox ID="txtPolicy2" runat="server"></asp:TextBox><br />
    <asp:RegularExpressionValidator ID="Regex2" runat="server" ControlToValidate="txtPolicy2"
        ValidationExpression="^(?=.*[A-Za-z])(?=.*\d)(?=.*[$@$!%*#?&])[A-Za-z\d$@$!%*#?&]{8,}$"
        ErrorMessage="Minimum 8 characters atleast 1 Alphabet, 1 Number and 1 Special Character"
        ForeColor="Red" />
    <br />
    <u>#3: Minimum 8 characters atleast 1 UpperCase Alphabet, 1 LowerCase Alphabet and 1
        Number</u><br />
    <br />
    Example: PaSs1234 OR pASS1234
    <br />
    <asp:TextBox ID="txtPolicy3" runat="server"></asp:TextBox><br />
    <asp:RegularExpressionValidator ID="Regex3" runat="server" ControlToValidate="txtPolicy3"
        ValidationExpression="^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)[a-zA-Z\d]{8,}$"
        ErrorMessage="Password must contain: Minimum 8 characters atleast 1 UpperCase Alphabet, 1 LowerCase Alphabet and 1 Number"
        ForeColor="Red" />
    <br />
    <u>#4: Minimum 8 characters atleast 1 UpperCase Alphabet, 1 LowerCase Alphabet, 1 Number
        and 1 Special Character</u>
    <br />
    Example: PaSs@123 OR pAss@123
    <br />
    <br />
    <asp:TextBox ID="txtPolicy4" runat="server"></asp:TextBox><br />
    <asp:RegularExpressionValidator ID="Regex4" runat="server" ControlToValidate="txtPolicy4"
        ValidationExpression="^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[$@$!%*?&])[A-Za-z\d$@$!%*?&]{8,}"
        ErrorMessage="Password must contain: Minimum 8 characters atleast 1 UpperCase Alphabet, 1 LowerCase Alphabet, 1 Number and 1 Special Character"
        ForeColor="Red" />
    <br />
     <u>#5: Minimum 8 and Maximum 10 characters atleast 1 UpperCase Alphabet, 1 LowerCase Alphabet, 1 Number
        and 1 Special Character</u>
    <br />
    Example: PaSs@123
    <br />
    <br />
    <asp:TextBox ID="txtPolicy5" runat="server"></asp:TextBox><br />
    <asp:RegularExpressionValidator ID="Regex5" runat="server" ControlToValidate="txtPolicy5"
        ValidationExpression="^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[$@$!%*?&])[A-Za-z\d$@$!%*?&]{8,10}"
        ErrorMessage="Password must contain: Minimum 8 and Maximum 10 characters atleast 1 UpperCase Alphabet, 1 LowerCase Alphabet, 1 Number and 1 Special Character"
        ForeColor="Red" />
    <br />
    <asp:Button ID="Button1" runat="server" Text="Submit" />
    </form>
</body>
</html>
